Module
Inhalte
Index 🔎︎

# Funktion CurDir

Gibt eine Variant-Zeichenkette zurück, die den aktuellen Pfad des angegebenen Laufwerks darstellt.

Diese Anweisung arbeitet derzeit nicht wie dokumentiert. Weitere Informationen finden Sie >hier.

## Syntax:

    CurDir [(Text As String)]

## Rückgabewert:

String

## Parameter:

Text: Ein beliebiger Zeichenkettenausdruck, der ein existierendes Laufwerk definiert (beispielsweise "C" für die erste Partition auf der ersten Festplatte).

Falls kein Laufwerk angegeben wurde oder das Laufwerk eine Zeichenkette ohne Länge ("") ist, gibt CurDir den Pfad für das aktuelle Laufwerk zurück. LibreOffice Basic meldet einen Fehler, wenn die Syntax der Laufwerkbeschreibung falsch ist, das Laufwerk nicht existiert oder dem Laufwerk ein Buchstabe zugeordnet wurde, der im Alphabet hinter dem folgt, der in der Datei CONFIG.SYS mit der Anweisung Lastdrive festgelegt ist.

Groß- und Kleinschreibung hat keinen Einfluß auf die Funktion.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

68 Gerät nicht verfügbar

7 Nicht genügend Arbeitsspeicher

51 Interner Fehler

## Beispiel:

    Sub ExampleCurDir

    Dim sDir1 As String , sDir2 As String

        sDir1 = "c:\Test"

        sDir2 = "d:\Private"

        ChDir( sDir1 )

        MsgBox CurDir

        ChDir( sDir2 )

        MsgBox CurDir

    End Sub